$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-59b3a3d26b6dad27dc13d68e73aec7e6ece8ecc1/rpcs3-v0.0.12-11107-59b3a3d2_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '8adae595516e4bfa9e8997799329238e8def6a703b1c3671690e6d2a3312a91d'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
